libhybris (0.0.5.53-1+droidian0+z2+git20240829202539.2efc511.next.production) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge remote-tracking branch 'upstream/master' into upstream
  * Merge tag 'upstream/0.0.5.53' into droidian
  * common: hooks: fix build with newer gcc
  * platforms: hwcomposer: expose HWComposerNativeWindow::setBufferCount() to the C API

  [ Matti Lehtimäki ]
  * hybris: platforms: common: Add support for NATIVE_WINDOW_GET_CONSUMER_USAGE64
  * hybris: platforms: common: Prevent crash if hybris_gralloc_allocate fails
  * hybris: platforms: common: Print integer value of operations
  * Merge pull request #558 from mlehtima/get_consumer_usage64
  * Merge pull request #560 from luka177/tls-relocation
  * hybris: platforms: wayland: Move wayland buffer classes to a common header
  * hybris: platforms: wayland: Destroy android_wlegl_server_buffer_handle correctly
  * Merge pull request #562 from mlehtima/ssb_destroy

  [ Frajo ]
  * Merge pull request #563 from krnlyng/ws_unload

  [ Frajo Haider ]
  * hybris: Don't unload the ws in eglTerminate.

  [ Luka Panio ]
  * hybris: common: q: Implement tls relocation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 29 Aug 2024 22:25:39 +0200

libhybris (0.0.5.51-1+droidian1) next; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Switch to glibc-downgrade
  * [packaging] Build-depend on libxcb-dri3-dev
  * tests: test_audio: ensure strdup() is properly included
  * Merge remote-tracking branch 'upstream/master' into upstream
  * Merge branch 'upstream' into droidian

  [ Matti Lehtimäki ]
  * Merge pull request #552 from NotKit/hook_pthread_getname_np
  * Merge pull request #550 from FakeShell/master
  * Merge pull request #549 from fredldotme/eglinfo-reload
  * q: Add missing dynamic array tag defines
  * Merge pull request #553 from mlehtima/fix_aarch64
  * hybris: vulkan: Update implementation to version 1.3.277
  * Merge pull request #554 from mlehtima/vulkan-update
  * q: Add missing dynamic array tag defines
  * hybris: vulkan: Update implementation to version 1.3.277

  [ Alfred Neumayer ]
  * hybris/egl/ws: Allow hot-reloading by unloading previous WS

  [ TheKit ]
  * hybris: Hook pthread_getname_np
  * hybris: Hook pthread_getname_np

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 17 May 2024 02:48:15 +0200

libhybris (0.0.5.50-1+droidian1) trixie; urgency=medium

  * hybris: q: ignore DT_AARCH64_* processor specific DT
  * hybris: q: ignore DT_AARCH64_* processor specific DT

 -- Bardia Moshiri <fakeshell@bardia.tech>  Wed, 20 Dec 2023 01:36:09 -0500

libhybris (0.0.5.50-1) trixie; urgency=medium

  [ Bardia Moshiri ]
  * Merge tag 'upstream/0.0.5.50' into droidian

  [ Matti Lehtimäki ]
  * Merge pull request #544 from dcaliste/uninit
  * Merge pull request #542 from NotKit/mutexattr_protocol
  * Merge pull request #497 from g7/for-upstream/libhybris/multiwindow

  [ Alfred Neumayer ]
  * hybris/egl/ws: Allow hot-reloading by unloading previous WS

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 02 Dec 2023 18:06:52 -0500

libhybris (0.0.5.49-1+droidian3) trixie; urgency=medium

  [ Bardia Moshiri ]
  * debian: only include tests that actually work

  [ Matti Lehtimäki ]
  * Merge pull request #544 from dcaliste/uninit
  * Merge pull request #542 from NotKit/mutexattr_protocol
  * Merge pull request #497 from g7/for-upstream/libhybris/multiwindow

  [ Damien Caliste ]
  * hybris: linker: Avoid uninitialised members in soinfo.

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 28 Sep 2023 17:15:25 -0400

libhybris (0.0.5.49-1+droidian1) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.0.5.49' into droidian

  [ TheKit ]
  * hybris: Hook pthread_mutexattr_(get/set)protocol

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 02 Sep 2023 23:06:37 +0200

libhybris (0.0.5.48-1+droidian2) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] flatpak: relax dependency on libhybris-common1

  [ Matti Lehtimäki ]
  * hybris: gralloc: Use libui's GraphicBufferAllocator/GraphicBufferMapper by default
  * Merge pull request #539 from mlehtima/libui_default

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 08 Jul 2023 12:48:01 +0200

libhybris (0.0.5.48-1+droidian1+z1) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling

  [ Matti Lehtimäki ]
  * Merge pull request #531 from mlehtima/android13
  * hybris: vulkan: Fix build with vulkan headers 1.3.236 or newer
  * Merge pull request #534 from mlehtima/vulkan-fix
  * Merge pull request #532 from NotKit/q-linker-ifunc-resolvers
  * Merge pull request #529 from fredldotme/halium-catchup
  * compat: Fix some indentation issues
  * Merge pull request #535 from mlehtima/compat-style-fixes

  [ Erfan Abdi ]
  * hybris: Hook stpcpy and stpncpy

  [ Matti Lehtimaki ]
  * hybris: Update .gitignore
  * hybris: Hook pthread_setschedprio
  * hybris: Add support for Android 12 and 13

  [ Nikita Ukhrenkov ]
  * hybris: q: backport ifunc resolvers calling convention from R linker

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 25 Jun 2023 21:25:42 +0200

libhybris (0.0.5.48-1+droidian1) bookworm; urgency=medium

  * [packaging] libhybris-dev: install missing libraries

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 29 Mar 2023 20:24:51 +0200

libhybris (0.0.5.48-1+droidian0+z1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.0.5.46' into feature/bookworm/upgrade-0.0.5.46
  * [packaging] Adjustments
  * hybris: x11: fix build and linking
  * hybris: tests: fix opencl test compilation
  * hybris: q: rename RELR sections defines to DT_ANDROID_RELR
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * Merge tag 'upstream/0.0.5.48' into feature/bookworm/upgrade-0.0.5.48-multiw
  * utils: generate_wrapper_macros.py: make it work with python3
  * hybris: egl: add reverse helper function to get current platform from a string representation
  * hybris: egl: wayland: support multiple native displays
  * hybris: egl: wrap eglSetDamageRegionKHR
  * hybris: egl: glvnd: mark functions wrapped via HYBRIS_*_IMPLEMENT_FUNCTION as overridden functions
  * hybris: egl: override eglSwapBufferWithDamageKHR as well
  * [packaging] flatpak: remove gtk4 bug workaround
  * Merge branch 'feature/bookworm/upgrade-0.0.5.48-multiw' into bookworm

  [ Matti Lehtimäki ]
  * Merge pull request #516 from MagneFire/f/eglCreatePlatformWindowSurface
  * server_wlegl: Fix typo in enum name
  * Merge pull request #526 from mlehtima/format0-fix
  * hybris: common: q: Backport support for linkerconfig path from r linker
  * Merge pull request #509 from NotKit/libui_gralloc
  * hybris: common: q: Fix loading namespaces for non-Android processes
  * hybris: common: o: Fix loading namespaces for non-Android processes
  * hybris: common: n: Fix loading namespaces for non-Android processes
  * Merge pull request #527 from mlehtima/linkerconfig
  * Merge pull request #530 from Tofee/tofe/X11-headers

  [ Christophe Chapuis ]
  * eglplatform.h: take MESA_EGL_NO_X11_HEADERS into account

  [ Alfred Neumayer ]
  * compat: media: Distinguish between managed & unmanaged MediaBuffers
  * compat: media: Fix formatting

  [ Alberto Mardegan ]
  * compat/media: fix handling of metadata in Android >= 8 (#10)

  [ TheKit ]
  * compat: media: build and start camera_service on Halium 9
  * compat: camera/media: fix compilation on Android 10
  * compat: input: do not break build on Android 10
  * compat: media: start CameraRecordService on Halium >=9
  * compat: camera/media: fix compilation on Android 11

  [ Ratchanan Srirattanamet ]
  * hooks: hook __cxa_atexit ourself to prevent segfault at exit
  * compat: don't pass unpaired BufferQueue as preview target
  * compat: handle changes in preview texture id correctly
  * compat/camera: be resilient to bad parameter setting

  [ NeKit ]
  * compat: camera: fix compilation with Android 9

  [ Erfan Abdi ]
  * hybris: compat: Fix 9 PLATFORM_VERSION detection
  * hybris: compat: Fix ui compatibility layer for android 9
  * hybris: compat: media: Also detect 32bit from libmediaplayerservice blueprint
  * hybris: compat: media: Suppress clang errors
  * hybris: compat: media: Get rid of IGraphicBufferAlloc
  * hybris: compat: media: Drop unused meta data key
  * hybris: compat: media: Disable LOG_NDEBUG for media_recorder_client
  * hybris: compat: media: Include KeyedVector header
  * hybris: media: Drop redefinition of WINDOW_FORMAT enums
  * hybris: compat: media: Add support for android 9
  * hybris: compat: surface_flinger: Add support for android 9
  * hybris: compat: media: Don’t fail on stride and slice-height
  * compat: media: Fix 64bit libmedia errors

  [ Nikita Ukhrenkov ]
  * Use libui's GraphicBufferAllocator/GraphicBufferMapper as gralloc abstraction
  * egl: use hybris_gralloc_import_buffer instead of hybris_gralloc_retain

  [ Frajo ]
  * Merge pull request #525 from krnlyng/format0
  * Merge pull request #523 from g7/for-upstream/libhybris/q-relr

  [ Franz-Josef Haider ]
  * server_wlegl: fix a crash when format = 0.

  [ Darrel Griët ]
  * hybris: egl: Provide eglCreatePlatformWindowSurface.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 23 Mar 2023 01:58:10 +0100

libhybris (0.0.5.44-6) bookworm; urgency=medium

  * hybris: q: rename RELR sections defines to DT_ANDROID_RELR

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 12 Nov 2022 20:18:16 +0100

libhybris (0.0.5.44-5) bookworm; urgency=medium

  * [packaging] flatpak: clear GLIBC_2.36 symbols as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 09 Nov 2022 01:52:43 +0100

libhybris (0.0.5.44-4+z5) bookworm; urgency=medium

  * [ci] Properly add CircleCI configuration

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 09 Oct 2022 15:04:45 +0200

libhybris (0.0.5.44-4+z1) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [libhybris] Rebuild

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 09 Oct 2022 15:01:15 +0200

libhybris (0.0.5.44-4) bookworm; urgency=medium

  * [packaging] flatpak: clear GLIBC_2.35 symbols as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 28 Sep 2022 21:36:01 +0200

libhybris (0.0.5.44-3) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] flatpak: clear versioned symbols of recent glibc versions

  [ Frajo ]
  * Merge pull request #511 from mlehtima/glvnd-fix
  * Merge pull request #515 from MagneFire/f/tests-vulkan

  [ Darrel Griët ]
  * hybris: tests: Don't build vulkan test when headers aren't available.

  [ Matti Lehtimäki ]
  * hybris: egl: Fix glvnd build

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 28 Aug 2022 16:49:06 +0200

libhybris (0.0.5.44-2+z5) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] flatpak: workaround gtk4 bug

  [ Matti Lehtimäki ]
  * hybris: egl: Remove support for wayland versions older than 1.15.
  * hybris: egl: Move wlegl to common platform
  * hybris: platforms: common: Add support for NATIVE_WINDOW_SET_USAGE64
  * hybris: egl: Move most of wayland window code to common platform
  * hybris: platforms: wayland: Silence cppcheck warnings from wayland window
  * hybris: vulkan: Implement Vulkan support
  * hybris: vulkan: Add null platform
  * hybris: vulkan: Add wayland platform
  * compat: hwc2: Set service.sf.present_timestamp property based on capabilities
  * hybris: tests: Add vulkan test
  * compat: Fix hwc2 tests
  * hybris: Add missing copyright headers
  * hybris: include: Remove unused OpenVG headers
  * hybris: include: Update GL headers
  * hybris: include: Update GLES headers
  * hybris: include: Update GLES2 headers
  * hybris: include: Update GLES3 headers
  * hybris: include: Update OpenCL headers
  * hybris: include: Update EGL headers
  * hybris: include: Update KHR header
  * hybris: Add license files
  * hybris: vulkan: Fix build with vulkan headers 1.2.184 or newer
  * hybris: Fix some linking and build issues
  * hybris: vulkan: Fix build without wayland
  * Merge pull request #506 from mlehtima/copyright

  [ Frajo ]
  * Merge pull request #496 from NotKit/jb55424
  * Merge pull request #498 from Herrie82/herrie/android11-headers
  * Merge pull request #503 from peat-psuwit/for-upstream/load_sym_files-check-objdump-v2
  * Merge pull request #504 from peat-psuwit/for-upstream/egl-dont-crash
  * Merge pull request #505 from mlehtima/vulkan

  [ Ratchanan Srirattanamet ]
  * load_sym_files: switch to subprocess.check_output()
  * egl: don't crash if eglGetProcAddress is not available

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 30 Apr 2022 15:00:48 +0200

libhybris (0.0.5.44-2+z3) bookworm; urgency=medium

  * [libhybris] Rebuild against newer glibc

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 18 Dec 2021 00:00:47 +0100

libhybris (0.0.5.44-2) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * hybris: eglplatform_hwcomposer: allow creating multiple native windows
  * hybris: eglplatform_hwcomposer: allow creating multiple native windows
  * Merge tag 'upstream/0.0.5.44' into bookworm

  [ Herman van Hazendonk ]
  * extract-headers.sh: Update with version from Mer

  [ Nikita Ukhrenkov ]
  * hybris: tests: fix missing android-config.h include in test_common

  [ Matti Lehtimäki ]
  * hybris: common: o: Fix incorrect variable name.
  * Merge pull request #495 from mlehtima/fix_variable_name

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Dec 2021 20:49:48 +0100

libhybris (0.0.5.44) bookworm; urgency=medium

  [ Erfan Abdi ]
  * Revert "HACK: egl: implement eglCreatePlatformWindowSurface()"
  * Revert "HACK: egl: implement eglGetPlatformDisplay"
  * Merge remote-tracking branch 'libhybris/master' into feature/bullseye/x11
  * debian: Update packaging for X11 changes
  * Merge remote-tracking branch 'libhybris/master' into feature/bullseye/x11-new
  * debian: Add glvnd to flatpak
  * Merge remote-tracking branch 'libhybris/master' into feature/bullseye/x11
  * opencl: Add support for OpenCL ICD
  * debian: Enable OpenCL ICD

  [ Frajo ]
  * Merge pull request #469 from peat-psuwit/for-upstream/glvnd
  * Merge pull request #493 from peat-psuwit/for-upstream/correct-glvnd-license
  * Merge pull request #489 from krnlyng/dlsym_hooks
  * Merge pull request #490 from g7/for-upstream/libhybris/destroydisplay
  * Merge pull request #491 from krnlyng/perf
  * Merge pull request #492 from NotKit/q-no-xom
  * Merge pull request #494 from mlehtima/android11

  [ Ratchanan Srirattanamet ]
  * egl: add missing copyright headers
  * egl/glvnd: update the license text for GLVND-supporting files
  * debian: switch to glvnd & more modernization

  [ Matti Lehtimäki ]
  * hybris: Hook remaining file functions and some fdsan functions
  * r: Add hybris support for Android R
  * compat: Fix build against Android 11 sources
  * hooks: Reset reference count of condition variable before pthread_cond_destroy.

  [ TheKit ]
  * Decouple drihybris from present extension detection
  * egl: glvnd: integrate X11 platform support
  * hybris: q: make sure executable code segment is mapped as readable

  [ Frajo Haider ]
  * hybris: small optimizations for faster startup.
  * hybris: even when the wrappers are built-in don't waste time when they are disabled.

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Ship libhybris, libhybris-common and libhardware as an extension for the org.freedesktop.Platform.GL flatpak runtime
  * hybris: hwc2: implement Device::destroyDisplay wrapper

  [ Franz-Josef Haider ]
  * hybris: hooks: also pass symbols acquired through android_dlsym through get_hooked_symbol.

  [ Adam Boardman ]
  * Add missing header include

  [ NeKit ]
  * Allow window system to hook eglGetConfigAttrib (needed for X11 EGL_NATIVE_VISUAL_ID)
  * Re-implement X11 EGL platform based on wayland code.
  * Add X11NativeWindow::getUsage() according to NativeWindowBase changes
  * Use custom DRIHYBRIS Xorg extension for buffer sharing to Xorg/glamor when possible
  * x11nativewindow: check for window resizes using Present extension when possible
  * x11nativewindow: use same depth as target window for pixmap
  * eglplatformcommon: add RGB888 case to hybris_dump_buffer_to_file
  * x11nativewindow: support gralloc1 by relying on libhybris module
  * x11: support EGL_KHR_image_pixmap to export window contents as EGLImage

 -- Erfan Abdi <erfangplus@gmail.com>  Fri, 22 Oct 2021 20:24:17 +0330

libhybris (0.0.5.42-4) bullseye; urgency=medium

  * common: hooks: ensure we pick the O linker on Android 9

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 29 Aug 2021 01:45:00 +0200

libhybris (0.0.5.42-3) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * HACK: egl: implement eglCreatePlatformWindowSurface()

  [ Ratchanan Srirattanamet ]
  * hybris/include: update EGL headers to a more recent version
  * egl: make eglGetProcAddress() return all overridden functions
  * egl: implement our error system
  * egl: handle eglGetDisplay gracefully if cannot open library
  * egl: implement eglGetPlatformDisplay()
  * egl: add support for libglvnd
  * egl: provide functions for EGL_EXT_platform_base

  [ Frajo ]
  * Merge pull request #480 from george-hopkins/tests-no-wayland
  * Merge pull request #484 from krnlyng/apitrace_test

  [ Frajo Haider ]
  * egl: rename eglDestroyImageKHR to _my_eglDestroyImageKHR to make apitrace work properly.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 28 Aug 2021 12:01:29 +0200

libhybris (0.0.5.42-2) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]
  * HACK: egl: implement eglGetPlatformDisplay

  [ George Hopkins ]
  * Exclude test_camera if Wayland is not available

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 08 Apr 2021 00:14:22 +0200

libhybris (0.0.5.42-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.0.5.42' into feature/bullseye/upgrade-0.0.5.42
  * [ci] Move to Drone CI

  [ Frajo ]
  * Merge pull request #462 from mlehtima/header_check
  * Merge pull request #464 from PetrLiutik/jb51520
  * Merge pull request #457 from peat-psuwit/cxa_thread_exit_wrapdtor
  * Merge pull request #472 from NotKit/arm64-tracing
  * Merge pull request #473 from d-grigorev/master
  * Merge pull request #467 from sledges/q-support
  * Merge pull request #476 from krnlyng/qcom_bsp_fix
  * Merge pull request #477 from krnlyng/q-arm_tracing
  * Merge pull request #479 from mlehtima/qwrapper-fix

  [ Matti Lehtimäki ]
  * compat: Support checking 32-bit-only build from Android.bp for camera and media
  * hybris: Fix building q linker without HYBRIS_TRACE_(*)HOOKED support.

  [ Frajo Haider ]
  * q: add some fixes/hacks to the android q linker to make it work on arm
  * hybris: move android-config include before gralloc.h include to fix crashes on devices with QCOM_BSP.
  * hybris: support HYBRIS_TRACE_(*)HOOKED in jb linker.
  * hybris: arm-tracing: support thumb
  * hybris: support HYBRIS_TRACE_(*)HOOKED in q linker.
  * hybris: fix wrappers for aarch64
  * hybris: hook close
  * hybris: common: q: prioritize library path set by environment variable

  [ Franz-Josef Haider ]
  * q: disable certain TLS code paths
  * q: do not point libhybris structs to glibc structs
  * q: solist and soinfo adjustments
  * hybris: android 10 hwcomposer headers are in C++
  * q: drop unneeded .S assembly files
  * q: avoid excessive printing of non-errors when dlsym does not find a symbol

  [ Simonas Leleiva ]
  * q: fix build errors with R_AARCH64_TLS_*64

  [ Zhongmin Wu ]
  * q: Add hybris support for Android Q
  * q: Remove useless Android.bp file
  * tests: Add the license for test_dlopen.c

  [ Björn Bidar ]
  * compat: hwc2: Apply includes for Android 9 to Android 10
  * tests: Use -std=c99 for audio tests

  [ Wu Zhongmin ]
  * q: Copy original q's linker into the project

  [ Denis Grigorev ]
  * [egl] Set buffer dimensions on window resize. JB#52698

  [ Nikita Ukhrenkov ]
  * hybris: introduce ARM64 support for HYBRIS_TRACE_(DYNHOOKED/UNHOOKED/HOOKED)

  [ Ratchanan Srirattanamet ]
  * hybris: hook __cxa_thread_atexit
  * hybris: use internal counter for __cxa_thread_exit

  [ Petr Lyutik ]
  * eglplatform: Fix handling max buffer count. JB#51520

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 05 Mar 2021 00:04:44 +0100

libhybris (1:0.0.5.37-2) bullseye; urgency=medium

  * [debian] fixed dependencies

 -- r3vn <giuseppe.corti@protonmail.com>  Wed, 07 Oct 2020 23:56:23 +0200

libhybris (4.4.1) bullseye; urgency=medium

  [ Michal-Szczepaniak ]
  * Add screen rotation option for devices with upside down screen. Environment variable HYBRIS_HAL_TRANSFORM_ROT
  * Fix splitting if there is more than one separator

  [ r3vn ]
  * travis support, build package as non-native

  [ Matti Lehtimäki ]
  * [egl] Increase buffer size for EGL extensions.
  * Update test_hwcomposer to support hwcomposer 1.3, 1.4 and 1.5
  * [test_hwcomposer] Add support for hwcomposer 1.3, 1.4 and 1.5.
  * [test_vibrator] Add support for new Android vibrator API.
  * hybris: common: import nougat linker Taken from lineage-14.1 based on android-7.1.2_r2
  * hybris: common: enable building nougat linker
  * hybris: common: add dlvsym to hooks
  * hybris: Update OpenCL headers to version 2.2.
  * hybris: Implement OpenCL support.
  * hybris: fix compilation against android 8
  * hybris: common: import oreo linker from aosp 8.1.0 r14
  * hybris: common: add android 8 linker to the build and include fixes for it to build
  * hybris: common: be more verbose when linker loading fails
  * hybris: n/o: Fix variable naming mismatch. Cleanup whitespaces.
  * hybris: hwc2: Add support for Android 9 base.
  * hybris: egl: Update EGL headers to version 1.5.
  * hybris: gles: Add wrappers for OpenGL ES 3.1 and 3.2
  * hybris: tests: Use shared hwcomposer code for all tests
  * hybris: tests: Remove test_hwc2 as test_composer now works with both backends
  * egl: Fix missing return value usage.
  * tests: Silence compile warnings from tests.
  * jb: Silence jb linker warnings.
  * egl: Silence compile warnings from egl platforms.
  * egl: Adapt wayland-egl to match upstream wayland
  * egl: Use wl_roundtrip_queue from wayland when available.
  * egl: Use built-in wayland-egl only with old wayland versions.
  * egl: Cleanup unused variables in library wrapper.
  * opencl: Cleanup unused variables. Fix typo in a function name.
  * hooks: Silence compiler warnings from hooks.
  * hooks: Remove useless call to mbsinit.
  * hybris: Remove automatically generated INSTALL file
  * configure: Check android headers also when pkgconfig is used

  [ Frajo ]
  * Merge pull request #387 from Tofee/master
  * Merge pull request #395 from Tofee/work
  * Merge pull request #398 from thp/nfc-wrapper-scripts
  * Merge pull request #404 from jusa/pthread_cleanup
  * Merge pull request #401 from dcaliste/build
  * Merge pull request #407 from krnlyng/android8-initial-update
  * Merge pull request #405 from dcaliste/crash
  * Merge pull request #408 from krnlyng/fix_release_imply_delete_and_sdkversion
  * Merge pull request #409 from krnlyng/fix_include
  * Merge pull request #410 from krnlyng/mangling_linker_functions
  * Merge pull request #411 from krnlyng/debugging
  * Merge pull request #412 from Tofee/master
  * Merge pull request #413 from mlehtima/buildfix
  * Merge pull request #417 from shr-project/jansa/fixes
  * Merge pull request #420 from krnlyng/egl_libs_android_9
  * Merge pull request #424 from minlexx/fix-eglplatform-linking-v2
  * Merge pull request #419 from Halium/halium-7.1
  * Merge pull request #426 from krnlyng/stdio_ext
  * Merge pull request #428 from Halium/remove-unnecessary-header
  * Merge pull request #429 from krnlyng/pie_support
  * Merge pull request #423 from Herrie82/patch-1
  * Merge pull request #427 from sailfishos-sony-tama/eglextensionsbuf
  * Merge pull request #430 from mlehtima/egl15
  * Merge pull request #433 from sailfishos-sony-tama/linker_path
  * Merge pull request #441 from NotKit/hwc2-display-present-crash-fix
  * Merge pull request #440 from JBBgameich/fix/eglplatform_wayland-string
  * Merge pull request #435 from Halium/prop-fallback
  * Merge pull request #446 from nickg/fix-gralloc1-crash
  * Merge pull request #447 from nickg/fix-out-of-tree
  * Merge pull request #445 from mlehtima/glesv3
  * Merge pull request #448 from fcipaq/master
  * Merge pull request #449 from mlehtima/cleanup
  * Merge pull request #451 from peat-psuwit/fix-pkgconfig
  * Merge pull request #453 from Herrie82/herrie/fixwarnings
  * Merge pull request #454 from Herrie82/herrie/script-fixes
  * Merge pull request #455 from peat-psuwit/fix-android5-compile
  * Merge pull request #459 from krnlyng/jb50247
  * Merge pull request #460 from NotKit/jb50654
  * Merge pull request #461 from erfanoabdi/egl-tests-patch

  [ Erfan Abdi ]
  * hybris: compat: Fix 9 PLATFORM_VERSION detection
  * hybris: compat: Fix ui compatibility layer for android 9
  * hybris: compat: media: Also detect 32bit from libmediaplayerservice blueprint
  * hybris: compat: media: Suppress clang errors
  * hybris: compat: media: Get rid of IGraphicBufferAlloc
  * hybris: compat: media: Drop unused meta data key
  * hybris: compat: media: Disable LOG_NDEBUG for media_recorder_client
  * hybris: compat: media: Include KeyedVector header
  * hybris: media: Drop redefinition of WINDOW_FORMAT enums
  * hybris: compat: media: Add support for android 9
  * hybris: compat: surface_flinger: Add support for android 9
  * hybris: compat: media: Don’t fail on stride and slice-height
  * compat: media: Fix 64bit libmedia errors
  * egl: tests: Add libhardware to ld flags
  * Merge remote-tracking branch 'debian-pm/master' into bullseye
  * debian: Nuke source
  * debian: Don’t install libwayland-egl
  * debian: Fix ld.so.conf loading
  * Revert "Set default egl platform to wayland"
  * Merge remote-tracking branch 'libhybris/master' into bullseye
  * egl: tests: Add libhardware to ld flags

  [ Nikita Ukhrenkov ]
  * hooks: remove __attribute__((packed)) from struct bionic_file

  [ Frajo Haider ]
  * memcpy has to always return dst
  * mm: initialize HYBRIS_LD_LIBRARY_PATH during initialization since it is
  * hybris: hook __progname to program_invocation_name to avoid strcmp(NULL, "zygote") case properly. not removing the check in strcmp though since there might be other occasions where this happens
  * hybris: pthread_getspecific: return NULL on invalid key
  * hybris: fix mismatch between bionic fpos_t size and glibc fpos_t in bionic_file struct
  * hybris: hook functions directly, where possible, if tracing is disabled
  * hybris (arm): introduce HYBRIS_TRACE_(DYNHOOKED/UNHOOKED/HOOKED) to trace calls to dynamically loaded (dlsym), unhooked (-> bionic) and hooked (-> glibc) functions on ARM
  * hybris: avoid a SIGSEGV on exit of libhybris clients
  * hybris: hooks: work around double-free-corruption.
  * Revert "hybris: n: use hybris properties also in the android n linker."
  * hybris: gralloc1 include android-config.h instead of config.h
  * common: Ignore HYBRIS_LINKER_DIR for processes which should be treated securely.
  * Merge remote-tracking branch 'upstream-ssh/jb45252'
  * hybris: n/o: Add /vendor/lib/egl to the library search paths.
  * hybris: n/o: Align library search path order with aosp.
  * hybris: common: add stdio_ext functions to the hooks.
  * hybris: common: o: improve android pie support
  * hybris: tests: Add GLESv3 test
  * hooks: improve adreno quirks

  [ NeKit ]
  * Assign the layer list only to the first display
  * hybris: hwc2: add bindings for libhwc2_compat_layer + test_hwc2
  * hybris: hwc2: properly install includes
  * hybris: hwc2: invoke callback functions with the pointer to their struct
  * hybris: hwc2: implement Layer::setBuffer wrapper
  * hybris: hwc2: include Android-side compatibility layer code
  * hybris: hwc2: avoid crash in hwc2_compat_display_present
  * debian: Add missing hwc2 lib

  [ Jonah Brüchert ]
  * Further clean debian/rules
  * Add GitLab ci configuration
  * ci: Add caf builds
  * Fix .gitlab-ci.yml
  * Remove old breaks and replaces
  * Update Vcs information
  * cme fix dpkg-copyright
  * New snapshot 20181125
  * New changelog entry for rebuild
  * Rebuild again
  * New snapshot 0.1.0+git20190104-1
  * New snapshot
  * Merge branch 'feature/hybris-ld-shim-libs' into 'master'
  * Update changelog for 0.1.0+git20190111-2
  * New snapshot 0.1.0+git20190225
  * Refresh patches to fix "diff patches file more than once"
  * Install libhwc2 and libgralloc
  * Fix spelling mistakes
  * Release 0.1.0+git20190225-1
  * Release snapshot 0.1.0+git20190226-1
  * New snapshot 0.1.0+git20190326-1
  * Release 0.1.0+git20190326-1
  * New snapshot 0.1.0+git20190401-1
  * Release 0.1.0+git20190401-1
  * Install new headers for android 8 support
  * No-change rebuild against glibc 2.29-1
  * Rebuild again to fix caf repository
  * New snapshot 0.1.0+git20200421
  * Refresh and drop upstreamed patches
  * Release 0.1.0+git20200421-1
  * egl: wayland: Remove additional space before EGL_EXT
  * New snapshot 0.1.0+git20200424-1
  * Release 0.1.0+git20200424-1
  * Update standards and debhelper
  * Set default egl platform to wayland
  * Add files that are clearly not supposed to be installed to debian/not-installed
  * Update changelog to 0.1.0+git20200424-2
  * Rebuild
  * Rebuild

  [ Ratchanan Srirattanamet ]
  * hybris: common: mm: search lib in library path if opening directly fails.
  * hybris: common: mm: search lib in library path if opening directly fails.
  * Fix pkg-config file when using --with-android-headers
  * compat: fix compilation on Android 5 or lower

  [ Herman van Hazendonk ]
  * Conditionalize Ubuntu Camera Headers
  * libhybris: Fix various warnings about wrong argument types
  * media_format_layer_priv.cpp: Drop orphaned #endif
  * extract-headers.sh: Fix warnings about double quotes
  * scripts: Fix double quote issues. Python fix minor errors

  [ kszaq ]
  * fbdev_window: wait for fence to be signalled and close it
  * hybris: gles: Include GLES3 headers

  [ Bhushan Shah ]
  * Fix the makefile generated by the extract-headers.sh script
  * Fix indent for the previous commit
  * Add workaround for libhybris bug
  * Revert "Add workaround for libhybris bug"
  * Add temporary patch reverting commit in glesv2 wrapper
  * Move .gitlab-ci.yml to debian subdir
  * Revert "Add temporary patch reverting commit in glesv2 wrapper"
  * egl: allow to override egl platform dir
  * hybris: gles: Add glesv3 symbols to the glesv2 wrapper
  * hybris: egl: Hook the GLESv3 as well

  [ fcipaq ]
  * Prevent race condition on ws init
  * Use default platform if env variable is empty
  * Unlock mutex even when already initialized

  [ Nick Gasson ]
  * hybris: fix crash when gralloc1 not supported on the device
  * hybris: fix out of tree builds

  [ Marius Gripsgard ]
  * Add missing file from compat: direct_input_test.cpp
  * Add missing file from compat: direct_sf_test.cpp
  * Use mm linker for Android 7.(0/1) (sdk version 24/25)
  * Remove unnecessary header
  * Fallback to own property implementation if libc is not present

  [ Rinigus ]
  * eglplatform: increase eglextensionsbuf
  * hybris: common: prioritize library path set by environment variable

  [ Alfred E. Neumayer ]
  * Merge pull request #1 from libhybris/master
  * Merge pull request #2 from Halium/halium-7.1-compatlayer
  * Merge pull request #3 from Herrie82/halium-7.1
  * Merge pull request #5 from Halium/halium-7.1-camfixes

  [ Alfred Neumayer ]
  * egl: Ignore HYBRIS_EGLPLATFORM_DIR for processes which should be treated securely.
  * camera_service: Conditionalize WANT_UBUNTU_CAMERA_HEADERS from Halium-side
  * camera_compat_layer: Fix nullptr access in android_camera_enumerate_supported_flash_modes

  [ Alexey Min ]
  * eglplatform_wayland: link libEGL at runtime

  [ Herrie ]
  * hooks.c: Wrap some GCC builtin functions, which don't have any address to fix GCC6 build
  * linker.cpp: Fix issue with newer glibc 
  * extract-headers.sh: Use version from Mer (Adds Android 8 & 9 support)

  [ Franz-Josef Haider ]
  * hybris: introduce --enable-adreno-quirks
  * hybris: common: mm: dlerror shall return NULL on dlsym success, since some code depends on it
  * hybris: common: don't use the mm linker for n binaries
  * hybris: common: n: dlerror shall return NULL on dlsym success, since some code depends on it
  * hybris: common: n: avoid excessive printing of non-errors when dlsym does not find a symbol
  * nativewindowbase: fix hwcomposer/fbdev window creation on some devices
  * hybris: fix getaddrinfo error case
  * hybris: prefer the highest available linker, if it makes sense.
  * hybris: properties: use system properties from bionic without hooks for android 8 and higher for simplicity
  * hybris: common: gralloc1 support, keep compatibility with gralloc0 at
  * hybris: nativewindow: implement NATIVE_WINDOW_IS_VALID dummy query
  * hybris: build stubs for unsupported tests
  * hybris: avoid file duplication in hwc2
  * hybris: hwc2: make sure ANativeWindowBuffer is known to C code.
  * hybris: gralloc1: use GRALLOC1_PFN_SET_LAYER_COUNT only if it is available.
  * hybris: gps: make sure legacy adaptations can build test_gps
  * hybris: gralloc1 only use GRALLOC1_CAPABILITY_RELEASE_IMPLY_DELETE if it is supported
  * hybris: gralloc1: make sure GRALLOC1_PRODUCER_USAGE_SENSOR_DIRECT_DATA and GRALLOC1_CONSUMER_USAGE_GPU_DATA_BUFFER are only used when available
  * hybris: hwc2: do not link against unneeded libraries.
  * hybris: always use the property hooks for sdk_version < 27.
  * hybris: properties: make sure property_list works with the new approach also in pre oreo linkers
  * hybris: properties: make sure hybris properties are only used for linkers after android o.
  * hybris: gralloc0: make sure gralloc0_module is initialized
  * hybris: n: add support for HYBRIS_TRACE_(HOOKED/UNHOOKED/DYNHOOKED)
  * hybris: fix property hooks for linkers before android o
  * hybris: n: use hybris properties also in the android n linker.
  * hybris: hooks: do not hook android_get_application_target_sdk_version in order to avoid using the __ANDROID_API__ define from libhybris
  * hybris: o: add support for HYBRIS_TRACE_(HOOKED/UNHOOKED/DYNHOOKED)
  * hybris: use a different way to check for the existence of some android capabilities
  * hybris: hooks: hook android_get_application_target_sdk_version and set a target sdk version on startup.
  * hybris: make sure all linker functions that we need in hooks.c are unmangled.
  * hybris: n/o: Add /odm/lib/egl to the library search paths.

  [ TheKit ]
  * Fix compilation without NativeBufferAlloc.h

  [ Andreas Pokorny ]
  * Make compat libraries build for android-7

  [ Martin Jansa ]
  * hooks.c: Fix build with glibc-2.26

  [ Christophe Chapuis ]
  * linker: introduce HYBRIS_LINKER_FORCE_BASENAME for .so search
  * hooks: include mm hooks only when WANT_LINKER_MM is defined
  * hooks: remove unneeded TLS variable
  * waylandws_GetDisplay: handle default display
  * linker N: Improve gdb support
  * hooks: add hook for __set_errno_internal
  * hooks: add hook for __set_errno_internal
  * Cherry-pick linker N: Improve gdb support to Android O linker
  * Apply gdb debugging support also to jb and mm linkers.
  * jb/mm/n: HYBRIS_ENABLE_LINKER_DEBUG_MAP enables Android libs in gdb
  * jb/mm/n/o: factorize code for HYBRIS_ENABLE_LINKER_DEBUG_MAP
  * Fix test_sensors printf
  * tests: make test_camera use wayland

  [ Ilya Bizyaev ]
  * Fix nullpointer crashes in strcmp
  * Modify check to not affect other code
  * Add OpenCL dependency (required for test_opencl)
  * Fix BGRA format conditions in eglplatformcommon
  * Add HYBRIS_LD_SHIM_LIBS variable parsing

  [ Sergey Chupligin ]
  * hybris: nativewindow: implement NATIVE_WINDOW_BUFFER_AGE dummy query

  [ Damien Caliste ]
  * hybris: add missing top_builddir include in egl/platforms/wayland
  * Use declared sizes to reallocate buffer instead of window sizes.
  * Ensure that wayland window operations don't crash or hang on NULL m_window.

  [ Juho Hämäläinen ]
  * hooks: handle pthread_cleanup_push and _pop

  [ Thomas Perl ]
  * Move NFC generator scripts to subfolder
  * Merge NFC wrapper scripts from custom repo
  * Update comments with new script locations

  [ Franz-Josef Anton Friedrich Haider ]
  * Merge pull request #383 from IlyaBizyaev/fix/bgra-conditions
  * Merge pull request #386 from krnlyng/sdk_version_fix
  * Merge pull request #390 from rainemak/fixEGLImageKHRStruct
  * Merge pull request #393 from Tofee/tofe/gdb-n-linker

  [ JBBgameich ]
  * Remove unnecessary parts and update VCS-links
  * Enable experimental on x86
  * Update to standards-version 4.0.1
  * Refresh patches
  * Remove ubuntu vivid compatibility extras
  * Update to standards-version 4.1.1
  * enable experimental on all architectures
  * Update changelog
  * New snapshot with N linker
  * New snapshot 20180104
  * New snapshot 20180110
  * rules: enable adreno quirks
  * Remove deprecated --enable-ubuntu-linker-overrides
  * New snapshot 20180129
  * New snapshot 20180206
  * Update debhelper to 11
  * New snapshot 20180309
  * New snapshot 20180331
  * New snapshot 20180423
  * New snapshot 20180616
  * Update git repository url
  * Run wrap-and-sort
  * Fix silly error in copyright
  * New snapshot
  * Make package lintian clean
  * More properly fix the missing opencl error

  [ Raine Makelainen ]
  * hybris: Use correct struct in glEGLImageTargetTexture2DOES of glesv2
  * hybris: Use correct struct in glEGLImageTargetTexture2DOES of glesv1

  [ Simon Fels ]
  * Drop compat layer
  * Merge upstream 0.1.0+git20151016+6d424c9
  * Merge upstream 0.1.0+git20151016+6d424c9
  * Merge remote-tracking branch 'ycheng/ubuntu-rebase-ycwork'
  * Merge remote-tracking branch 'ycheng/ubuntu-rebase-ycwork'
  * hybris: Don't hook __system_property_get twice
  * Update changelog after merge
  * Update changelog after merge
  * Merge remote-tracking branch 'morphis/master'
  * Merge remote-tracking branch 'morphis/master'
  * Merge remote-tracking branch 'morphis/wip'
  * Merge remote-tracking branch 'morphis/wip'
  * Merge remote-tracking branch 'vicamo/for-morphis/add-libstagefright-to-include-path'
  * Merge remote-tracking branch 'vicamo/for-morphis/add-libstagefright-to-include-path'
  * hybris: always define HAS_LIBNFC_NXP_HEADERS
  * debian: add package with debug symbols
  * debian: add package with debug symbols
  * Merge remote-tracking branch 'morphis/always-define-nfc'
  * Merge remote-tracking branch 'morphis/debug-package'
  * Merge remote-tracking branch 'morphis/debug-package'
  * Merge remote-tracking branch 'chriscoulson/oxide-camera'
  * Merge remote-tracking branch 'chriscoulson/oxide-camera'
  * debian: update changelog for new release
  * debian: update changelog for new release
  * debian: don't package NFC stuff anymore
  * debian: don't package NFC stuff anymore
  * compat: media: abstract differences in media API across multiple devices
  * Merge remote-tracking branch 'morphis/abstract-media-api-differences'
  * hybris: common: dump mutex address
  * hybris: common: add ugly workaround for malit-hist-dump thread
  * hybris: common: also hook prctl to workaround mali-hist-dump
  * hybris: common: also log name when prctl called with PR_SET_NAME
  * hybris: common: add exit workaround for mali-hist-dump thread
  * hybris: common: be more precise on prctl log messages
  * hybris: add configuration option to enable mali related quirks
  * hybris: common: hook localtime, gmtime and friends
  * debian: enable mali quirks
  * debian: enable mali quirks
  * hybris: common: hook missing pthread functions
  * hybris: common: add further debug statements for symbol hooking
  * debian: update changelog
  * debian: update changelog
  * debian: drop files listed twice in .install files
  * debian: drop files listed twice in .install files
  * debian: drop -dbg package as we generate them automatically
  * debian: drop -dbg package as we generate them automatically
  * Merge remote-tracking branch 'vicamo/bug-1516902/add-pthread_mutex_timedlock' into staging
  * Merge remote-tracking branch 'vicamo/bug-1516902/add-pthread_mutex_timedlock' into staging
  * Merge remote-tracking branch 'vicamo/for-libhybris-maintainers/fix-test_audio-for-android-5.x' into staging
  * Merge remote-tracking branch 'vicamo/for-libhybris-maintainers/fix-test_audio-for-android-5.x' into staging
  * debian: update changelog
  * debian: update changelog
  * debian: correct vcs reference to point to launchpad
  * debian: correct vcs reference to point to launchpad
  * Merge remote-tracking branch 'morphis/fix-git-reference' into staging
  * Merge remote-tracking branch 'morphis/fix-git-reference' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/hook-pthread_condattr_setclock' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/hook-pthread_condattr_setclock' into staging
  * Merge remote-tracking branch 'lp/pthread_kill' into staging
  * Merge remote-tracking branch 'lp/pthread_kill' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/add-media-recorder-resume' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/add-media-recorder-resume' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/fix-wifi-h-not-found' into staging
  * Merge remote-tracking branch 'remotes/vicamo/for-libhybris-maintainers/fix-wifi-h-not-found' into staging
  * Merge remote-tracking branch 'morphis/review-fixes' into staging
  * Merge remote-tracking branch 'morphis/review-fixes' into staging
  * hybris: common: add simple macro to check for existing symbols
  * Merge remote-tracking branch 'morphis/import-property-cache' into staging
  * Merge remote-tracking branch 'vicamo/for-libhybris-maintainers/always-null-for-unhooked-symbol' into staging
  * Merge remote-tracking branch 'vicamo/for-libhybris-maintainers/always-null-for-unhooked-symbol' into staging
  * Merge remote-tracking branch 'morphis/symbol-check' into staging
  * Merge remote-tracking branch 'morphis/symbol-check' into staging
  * debian: drop stripping of not existing package
  * debian: drop stripping of not existing package
  * Revert "debian: don't package NFC stuff anymore"
  * Revert "debian: don't package NFC stuff anymore"
  * Merge remote-tracking branch 'morphis/debian-packaging-fixes' into staging
  * Merge remote-tracking branch 'morphis/debian-packaging-fixes' into staging
  * utils: fix binding wrapper macro generator script
  * Merge remote-tracking branch 'morphis/fix-binding-generator' into staging
  * Merge branch 'staging'
  * Merge branch 'staging'
  * debian: sync changelog up with what is released
  * debian: sync changelog up with what is released
  * debian: enable property cache for x86 and armhf
  * debian: enable property cache for x86 and armhf
  * debian: rules: cleanup formatting for autoconf options
  * debian: rules: cleanup formatting for autoconf options
  * debian: update changelog
  * debian: update changelog
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu4
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu4
  * debian: drop requirement of gcc 4.7
  * debian: drop requirement of gcc 4.7
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu5
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu5
  * Revert "debian: drop requirement of gcc 4.7"
  * Revert "debian: drop requirement of gcc 4.7"
  * Merge remote-tracking branch 'morphis/check-for-vivid'
  * Merge remote-tracking branch 'morphis/check-for-vivid'
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu5
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu5
  * Merge remote-tracking branch 'uriboni/staging'
  * Merge remote-tracking branch 'uriboni/staging'
  * debian: adjust our build depends depending which distro we build for
  * debian: adjust our build depends depending which distro we build for
  * debian: update changelog
  * debian: update changelog
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu7
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu7
  * debian: update changelog
  * debian: update changelog
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu8
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu8
  * hybris/compat: media: wrap android media codec source implementation
  * compat: media: only build media codec source support for Android 5.x
  * compat: media: introduce API version number
  * compat: media: don't put Android 5.x as a requirement for MediaCodecSource
  * Merge remote-tracking branch 'morphis/media-encoding'
  * debian: update changelog
  * debian: update changelog
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu9
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu9
  * debian: add missing hybris/common include directory
  * debian: add missing hybris/common include directory
  * debian: update changelog
  * debian: update changelog
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu10
  * debian: release version 0.1.0+git20151016+6d424c9-0ubuntu10
  * hybris: common: add stub linker implementation
  * debian: split out common parts of the default configuration
  * debian: split out common parts of the default configuration
  * debian: add build support for arm64
  * debian: add build support for arm64
  * hybris: add README file stating which architectures are supported
  * Merge remote-tracking branch 'morphis/stubbed-linker'
  * Merge remote-tracking branch 'morphis/stubbed-linker'
  * hybris: autotools want it to be README
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu11
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu11
  * debian: split out arch specific configuration flags
  * debian: split out arch specific configuration flags
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu12
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu12
  * hybris: common: stub: don't assert but return error
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu13
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu13
  * hybris: introduce experimental configuration feature
  * hybris: note used android version in configure summary
  * hybris: common: import marshmallow linker
  * hybris: common: enable building marshmellow linker
  * hybris: common: make marshmellow linker building
  * hybris: common: mm: drop support for libs inside zip archives
  * hybris: common: mm: get rid of sys/limits.h copy
  * hybris: common: mm: disable tls initialization
  * hybris: common: mm: disable debuggerd connection
  * hybris: common: mm: export android_* dlfcn functions for use from C
  * hybris: common: add hybris prefix for our hook processing method
  * hybris: common: mm: add symbol hooking functionality
  * hybris: common: mm: redirect all linker logs to stdout
  * hybris: common: mm: use HYBRIS_LD_DEBUG to enable debug output
  * hybris: common: mm: get linker building on arm platforms
  * hybris: common: build with c++ support
  * hybris: common: mm: further enablement work
  * hybris: common: mm: don't memset class instance
  * hybris: common: mm: disable linker internal memory mgmt for small objects
  * hybris: common: mm: respect hybris specific library paths only
  * hybris: common: mm: replace LINKER_DEBUG with TRACE_DEBUG
  * hybris: mention experimental configure option in summary
  * hybris: common: add missing libs we have to link to
  * hybris: common: mm: switch from fprintf to DEBUG
  * hybris: common: mm: disable some more code parts we don't use
  * tests: add missing pthread to LDADD for test_nfc
  * hybris: common: add c'tor to initialize linker logging
  * hybris: common: add ability to deliver hooks from the outside
  * hybris: common: mm: add missing line ending for error messages
  * hybris: common: mm: fix compliation in x86
  * hybris: common: really make hooking work
  * hybris: common: make hook handler availble for C++
  * hybris: common: deliver symbol requester through our hooks too
  * hybris: egl: don't create surface mapping when creation failed
  * hybris: hooks: hook a few more symbols for Android 6 support
  * hybris: common: switch hook prefix to _hybris_hook_
  * hybris: common: add tracing support for our hooks
  * utils: update load-sym-files gdb command to python3
  * hybris: common: convert addrinfo struct correctly
  * hybris: common: respect unsigned nature of size_t
  * hybris: common: add tracing for sysconf hook
  * hybris: common: add proper copyright header for sysconf implementation
  * hybris: common: add more hooks to let string.* bionic tests pass
  * hybris: common: add new keys for sysconf
  * hybris: common: add a few more necessary hooks
  * hybris: common: improve tracing for a few hooks
  * hybris: use pthread rather than lpthread to link with pthread lib
  * hybris: common: mm: drop old ARCH_FLAGS we don't need
  * hybris: common: add hook for strcmp to fail on nullptr
  * hybris: common: fix printf format
  * hybris: common: add more necessary hooks
  * debian: install load_sym_files.py gdb helper script
  * debian: enable mm linker by default
  * hybris: detect arm64 architecture at configuration time
  * debian: install load_sym_files.py gdb helper script
  * hybris: common: mm: use correct names for relocation types
  * debian: enable mm linker by default
  * debian: package libGLESv1_CM.so
  * debian: package libGLESv1_CM.so
  * Merge remote-tracking branch 'morphis/mm-support'
  * Merge remote-tracking branch 'morphis/mm-support'
  * Merge remote-tracking branch 'rex/compat-marshmallow'
  * Merge remote-tracking branch 'rex/compat-marshmallow'
  * Merge pull request #310 from theappleman/escapism
  * Merge pull request #306 from vicamo/for-upstream/fix-warnings
  * Merge branch 'fix-glesv2-loading'
  * debian: update copyright file
  * debian: update copyright file
  * debian: bump standards version to 3.9.7
  * debian: bump standards version to 3.9.7
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu14
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu14
  * hybris: mm: use recursive mutex for dlopen/.. locking
  * hybris: common: add support for dynamic linker loading at runtime
  * hybris: common: add support for dynamic linker loading at runtime
  * Merge remote-tracking branch 'morphis/multi-linker'
  * Merge remote-tracking branch 'morphis/multi-linker'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu15
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu15
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu16
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu16
  * Revert "Fix resolving the GLEsv2 functions at link time"
  * hybris: common: fine tune dynamic linker load process
  * hybris: glesv2: load symbols on demand
  * hybris: glesv2: drop redefined symbols
  * hybris: glesv2: really drop all unneeded symbols
  * hybris: glesv2: revert back to version without using GNU indirect feature
  * hybris: common: more fine tuning for runtime linker loading
  * hybris: common: use correct property name for device name
  * hybris: common: force SDK version 19 for cooler too
  * hybris: common: add env variable to override selected SDK version
  * hybris: common: use debug log statement rather than plain printf
  * hybris: common: rename variable containing hooks for all devices
  * hybris: glesv2: don't return anything in functions with void as return type
  * hybris: common: enable linker overrides only by configure option
  * debian: enable ubuntu linker overrides only for armhf
  * debian: enable ubuntu linker overrides only for armhf
  * Merge remote-tracking branch 'morphis/fixes-for-multi-linker'
  * Merge remote-tracking branch 'morphis/fixes-for-multi-linker'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu17
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu17
  * Merge pull request #316 from sletta/master
  * Merge remote-tracking branch 'morphis/import-upstream-fixes'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu18
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu18
  * hybris: common: remove old and unused gb and ics linkers
  * hybris: common: mm: include strlcat/strlcpy to avoid linke time issues
  * hybris: common: mm: drop unneeded compile time definitions
  * Merge remote-tracking branch 'morphis/mm-fixes'
  * Merge remote-tracking branch 'binlin/bug-1596772/add-scandir-hook'
  * Merge remote-tracking branch 'binlin/bug-1596772/add-scandir-hook'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu19
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu19
  * hybris: wifi: add new API method to send driver command
  * Merge remote-tracking branch 'morphis/wifi-driver-commands'
  * Merge remote-tracking branch 'abeato/remove-signal-hooks'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu20
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu20
  * Merge remote-tracking branch 'abeato/add-bool-def'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu21
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu21
  * Merge remote-tracking branch 'vicamo/for-ubuntu/dont-use-jb-linker-on-arm64-anyway'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/dont-use-jb-linker-on-arm64-anyway'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/arm64-compat'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/arm64-compat'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu22
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu22
  * Merge remote-tracking branch 'laney/master'
  * Merge remote-tracking branch 'laney/master'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/fix-warnings'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/fix-warnings'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/build-multilib-compat'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/build-multilib-compat'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/fix-bionic-sizeof-file'
  * Merge remote-tracking branch 'vicamo/for-ubuntu/fix-bionic-sizeof-file'
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu23
  * debian: release 0.1.0+git20151016+6d424c9-0ubuntu23
  * Merge pull request #324 from mlehtima/master
  * Merge pull request #322 from krnlyng/mako_13
  * Merge branch 'master' into merge-with-upstream
  * Drop debian packaging as that is nothing which should go upstream
  * Ensure HAS_LIBNFC_NXP_HEADERS conditional defined for all code paths
  * Add travis build support for CI
  * Merge pull request #329 from morphis/travis-support
  * Merge remote-tracking branch 'upstream/master' into merge-with-upstream
  * Merge pull request #328 from morphis/merge-with-upstream
  * Merge pull request #333 from krnlyng/qualcomm
  * Merge pull request #334 from krnlyng/fix-fpos_t
  * Merge pull request #335 from Tofee/master
  * Merge pull request #332 from krnlyng/faster-hooks
  * Merge pull request #338 from Tofee/fix-tls
  * Merge pull request #337 from Tofee/master
  * Merge pull request #342 from bhush9/bshah/fix-makefile
  * Merge pull request #346 from mickybart/master
  * Merge pull request #345 from mariogrip/master
  * Merge pull request #351 from mlehtima/master
  * Merge pull request #353 from mlehtima/vibra
  * Merge pull request #349 from peat-psuwit/load-egl-lib
  * Merge pull request #348 from krnlyng/arm-tracing
  * Merge pull request #347 from mickybart/compat-ext
  * Merge pull request #356 from Halium/halium-7.1
  * Merge pull request #355 from krnlyng/dlerror_fixes
  * Merge pull request #354 from krnlyng/adreno-quirks
  * Merge pull request #358 from krnlyng/native_window_querys
  * Merge pull request #360 from krnlyng/n-linker
  * Merge pull request #365 from Herrie82/herrie/fix-newer-glibc
  * Merge pull request #367 from kszaq/fbdev_wait_for_fence
  * Merge pull request #364 from krnlyng/getaddrinfo
  * Merge pull request #373 from Driim/master
  * Merge pull request #375 from NotKit/libhardware-path
  * Merge pull request #376 from mlehtima/opencl
  * Merge pull request #374 from Michal-Szczepaniak/add-screen-rotation
  * Merge pull request #369 from IlyaBizyaev/fix/x86-crashes
  * Merge pull request #363 from NotKit/mtk-test-hwcomposer-fix

  [ Matti Lehtimaki ]
  * Look for libhardware.so from default search path.

  [ Dmitriy Falko ]
  * Fix fflush segfault

  [ Simonas Leleiva ]
  * add hooks for localtime and friends
  * Revert "use global hybris macros whenever available"
  * hybris: enable features also via android-config.h
  * hybris: build MM linker for Android 6
  * linker: add support for odm partition

  [ Dimitri John Ledkov ]
  * Fix failure to build with glibc 2.26

  [ mickybart ]
  * utils: hardware_legacy/wifi.h needs to be extracted for AOSP 4.1+
  * sf: SfDisplayInfo support to get more accurate informations (eg refresh rate, phys screen size)
  * sf: expose EGL context from SfClient
  * sf: test_sf

  [ Carsten Munk ]
  * Merge pull request #278 from giucam/hwcomposer_api
  * Merge pull request #292 from sletta/round-robin
  * Merge pull request #293 from lpotter/scandir
  * Merge pull request #294 from sledges/localtime
  * Merge pull request #295 from mikkoharju/cache
  * Merge pull request #301 from morphis/fix-x86-64-build
  * Hook getlogin, __sprintf_chk, __snprintf_chk
  * Merge pull request #307 from sledges/revert-lipstick-app-breakage
  * Hook getlogin, __sprintf_chk, __snprintf_chk
  * Merge pull request #309 from alexhoppus/libhybris_fix_proposal
  * Merge pull request #312 from jherland/android6-work
  * Merge pull request #313 from ballock/master
  * Merge pull request #323 from Herrie82/herrie/gcc6-fix
  * Merge pull request #339 from anyc/master

  [ anyc ]
  * add additional headers in extract-headers.sh for wear 1.5

  [ You-Sheng Yang ]
  * utils: fix dash "need redirection"
  * utils: fix android headers extraction
  * compat: media: fix build with avila
  * utils: fix header extraction for ancient versions
  * audio: re-enable test_audio build
  * nfc: fix build against android API level 15
  * gps: fix build against anroid API level 15 or lower
  * sensors: fix build against android API level 15
  * nfc: fix build against android API level 14
  * use global hybris macros whenever available
  * wifi: fix hardware_legacy/wifi.h not found
  * libhybris: fix various compile time warnings
  * use global hybris macros whenever available
  * tests: fix test_audio compilation on Android 5 or above
  * compat: media: remove wrong BOARD_HAS_MEDIA_PLAYER_PAUSE guard
  * compat: media: implement android::IMediaRecorder::resume
  * hooks: add pthread_mutex_timedlock
  * hook: add pthread_condattr_setclock
  * hook: skip only symbol names prefixed with "pthread" or "__pthread"
  * linker: disable linker probing when unavailable
  * linker: remove /system/lib prefix from lib paths
  * configure: use lib64 for DEFAULT_HYBRIS_LD_LIBRARY_PATH on arm64
  * compat: build arm64 flavor when available
  * build: fix warnings due to arm32/arm64 types size differences
  * build: include config.h first
  * hooks: fix scandir/scandirat hooks prototypes
  * hooks: fix arm64 shared pthread ptr implementation
  * hooks: use pthread_attr_{get,set}stack when available
  * compat: always build binaries for both arch
  * build: fix misc warnings
  * hooks: fix bionic FILE struct size on arm64
  * hooks: add readdir64, readdir64_r
  * hooks: fix getmntent, getmntent_r
  * Revert "hooks: use pthread_attr_{get,set}stack when available"

  [ Iain Lane ]
  * hooks:c: Don't pass builtin functions.
  * hooks:c: Don't pass builtin functions.

  [ Alfonso Sanchez-Beato ]
  * hybris: common: remove hooks for signal handling
  * compat: media: add bool macro definition

  [ Bin Li ]
  * hybris: common: Add hooks to support scandir

  [ Gunnar Sletta ]
  * [egl] Let hwcomposer_window serve buffers in a round-robin fashion.
  * [glesv2] Wrap glGetString() and return GL_VERSION == 2.0.
  * [glesv2] Wrap glGetString() and return GL_VERSION == 2.0

  [ Boleslaw Tokarski ]
  * [properties] An off-by-one error in prop handling
  * [properties] An off-by-one error in prop handling

  [ Giulio Camuffo ]
  * Fix resolving the GLEsv2 functions at link time
  * Fix resolving the GLEsv2 functions at link time

  [ Rex Tsai (蔡志展) ]
  * Fix MediaCodecSource::Create() API change for Android 6.0.0_r1.

  [ Ondrej Kubik ]
  * compat: input: adding support for Android 5.x
  * compat: sf: Adding support for Android 5.x
  * compat: media: Adding support for Android 5.x
  * compat: media: force 32bit compilation
  * Merge commit 'c0c6bff5cd182a0999ac1dc9eca49e47f0449259' into merge-288238
  * Merge commit 'c0c6bff5cd182a0999ac1dc9eca49e47f0449259' into merge-288238
  * Fix Android 6.x build for Android Build System.

  [ Alex Tu ]
  * fix build error: followed the file in commit dae292c
  * debian: correctly install libvibrator/libnfc
  * debian: correctly install libvibrator/libnfc
  * compat: media: add missing pause function for recorder
  * compat: force modules to be build for 32bit only

  [ Johan Herland ]
  * utils/extract-headers.sh: Don't fail on PLATFORM_VERSION := 6.0

  [ Daniel Cordero ]
  * extract_headers.sh: Do not escape android-headers.pc

  [ Franz-Josef ]
  * hybris: add hook for freeaddrinfo and getaddrinfo

  [ Mikko Harju ]
  * [libhybris] Add cache for socket based property lookups.
  * [libhybris] Add cache for socket based property lookups.

  [ Ugo Riboni ]
  * Allow setting/clearning the camera metering region

  [ Alex Hoppus ]
  * Putting GLES2_LOAD(glReadPixels) to initialization sequence

  [ Thomas Voß ]
  * Hook pthread_kill such that pthread_t values of 0 do not lead to segfaults.

  [ Chris Coulson ]
  * compat: camera: Fix a use-after-free when creating a new CameraControl after deleting an old one
  * hybris/camera/camera.c: Add android_camera_set_preview_format
  * compat: camera: Allow applications to turn on preview callbacks
  * compat: camera: Support device enumeration and connecting to arbitrary devices
  * compat: camera: Indentation fix
  * Address review comments

  [ Simon Busch ]
  * Merge pull request #289 from vicamo/fix-dash-need-redirection
  * Merge pull request #288 from giucam/glfix
  * Merge pull request #290 from vicamo/fix-android-headers-extraction
  * Merge pull request #291 from morphis/drop-compat
  * Merge pull request #299 from vicamo/fix-build-against-api-level-ge-ics
  * Merge pull request #300 from vicamo/for-upstream/fix-extraction-for-ancient-versions
  * Merge pull request #303 from vicamo/for-upstream/use-global-macro-whenever-available
  * Merge pull request #308 from vicamo/for-upstream/use-global-macro-whenever-available
  * Merge pull request #297 from mac-l1/master

  [ mac_l1 ]
  * Add comment referring to surfaceflinger implementation

  [ Ricardo Salveti de Araujo ]
  * Adding packaging files
  * New upstream snapshot:
  * New upstream snapshot:
  * hybris/common/jb: Making libhybris buildable x86 64

  [ mac-l1 ]
  * open FB HAL before HWC, fixes HWC for some devices (e.g. rockchip tvboxes): based on comment in surfaceflinger sources: https://android.googlesource.com/platform/frameworks/native/+/master/services/surfaceflinger/DisplayHardware/HWComposer.cpp#108

  [ Chunsang Jeong ]
  * compat: camera: Add support for Android 5.x

  [ Yuan-Chen Cheng ]
  * modifiy changelog
  * modifiy changelog
  * add libvibrator.so
  * add libvibrator.so
  * add libvibrator.so
  * add libvibrator.so

  [ Lorn Potter ]
  * [sensors] Fixes JB#31724  add scandir, scandirat, alphasort, versionsort hooks

 -- Michal-Szczepaniak <michal_sz13@o2.pl>  Tue, 06 Oct 2020 22:54:51 +0200

